Je n'arrive pas à installer X11 sur mon Mac Book Air OS High Sierra 10.13.6 [Résolu]

Signaler
-
Messages postés
38187
Date d'inscription
mardi 2 octobre 2007
Statut
Modérateur
Dernière intervention
12 janvier 2021
-
Bonjour,

J'ai un pb qui est traité dans de nombreux posts, mais aucune des solutions ne fonctionne pour moi jusque là.
Je souhaite installer X11 car mon ordinateur (Mac Book Air OS High Sierra 10.13.6) le réclame lorsque je veux lancer Gimp.
J'ai téléchargé plusieurs fois X11 (a priori différentes versions, à partir de différents liens/sites...). X11User.dmg est le seul dont je peux démarrer "l'installation" sauf que lorsque je dois choisir une destination, un fameux message d'erreur m'indique qu'un logiciel plus récent est déjà installé sur mon ordinateur.
J'ai bien vu la recommandation qui consiste à supprimer tous les X11 quelque chose et à le réinstaller tout frais à partir d'un CD fourni lors de l'achat de l'ordinateur. Mais même si j'avais reçu un tel CD (ce dont je doute car pas de lecteur CD sur le macbook air), je ne l'ai pas avec moi actuellement.

Auriez-vous une idée de ce que je peux faire pour enfin réussir à installer X11 et donc pouvoir utiliser Gimp svp? Merci beaucoup par avance pour votre aide,

Laurie

3 réponses

Messages postés
38187
Date d'inscription
mardi 2 octobre 2007
Statut
Modérateur
Dernière intervention
12 janvier 2021
10 522
Bonjour,

Vous êtes certaine d'avoir la bonne version de Gimp ? Je l'ai installée plusieurs fois sans que l'on me parle de cet ancêtre X11...

La bonne version de Gimp est ici :
https://www.gimp.org/downloads/

Quant à X11, obsolète depuis longtemps, avait été remplacé par Quartz en cas de besoin :
https://www.xquartz.org

J'ai téléchargé plusieurs fois X11 (a priori différentes versions, à partir de différents liens/sites...). 

Ne pas prendre X11 ou Quartz depuis n'importe quel site. Toujours les sites officiels pour n'importe quelle application.

Mais même là, après ré-installation à neuf de High Sierra, puis installation de Gimp, je n'ai pas eu de demande pour X11 ou Quartz. Ce sont des trucs qui m'étaient sortis de la tête avant de voir votre demande :-)

Cordialement..
Bonjour,
Problème résolu! Merci beaucoup pour votre réponse. Effectivement, ma version de Gimp devait être trop vieille. Aucun problème avec la version que j'ai téléchargée depuis le lien que vous m'avez recommandé.
J'évite de recourir à n'importe quel site pour télécharger des applications, mais je pensais que 01net.com ou clubic étaient assez sûrs. Ce n'est pas le cas? (en tout cas, pour cette fois c'est clair que non. Je ne me souviens plus exactement mais il y a 99% de chance que j'ai téléchargé cette version obsolète de Gimp à partir de 01net.com)
Encore merci pour votre aide
Messages postés
38187
Date d'inscription
mardi 2 octobre 2007
Statut
Modérateur
Dernière intervention
12 janvier 2021
10 522
Bonjour,

Content que le souci soit résolu.

mais je pensais que 01net.com ou clubic étaient assez sûrs. Ce n'est pas le cas?


J'ai pour règle absolue : Je ne prend des applications que depuis les sites officiels des éditeurs originaux. Ne strictement rien télécharger des sites non officiels. Soit ces derniers délivrent des versions périmées, soit des versions contenant des virus ou adwares.
Un des pires sites de téléchargement est Softonic, ou pratiquement tout est vérolé.

Il est parfois difficile de trouver le bon site, mais avec un peu de persévérance ou d'habitude, on parvient à reconnaître les sites valides.

Bonne suite ;-)